[SM-Grimoire-Bugs] [Bug 9380] New: atlas optionally depends on g77

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sat Jul 30 18:37:05 EDT 2005


http://bugs.sourcemage.org/show_bug.cgi?id=9380

           Summary: atlas optionally depends on g77
           Product: Codex
           Version: stable grimoire
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P2
         Component: cluster
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: eric at sandall.us


If g77 is installed our current atlas builds and installs fine, however, if g77 is not
installed then we get this error:

I'm going to ask you for information about your Fortran 77 compiler.  ATLAS
does not need Fortran77 to build, so if you don't have a Fortran compiler,
the install can still be completed successfully.  However, ATLAS built without
a Fortran compiler will not be callable from Fortran (i.e., the user should
use the C interface), and we will not be able to do full testing, since some of
the tester code is written in Fortran77.

   Enter 1 to enter a different F77, 0 to continue with none [1]:

Which is repeated ad naseum (well, at least a few minutes and then I stopped it).
So we need to inform atlas to not use Fortran if it's not installed and make g77
optional /or/ we need to depend on g77.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list